# External: Array

## montage/core/shim/array~ Array

Source:
  - core/shim/array.js, line 7

### Methods

#### (static) isArray(value) → {boolean}

Returns whether the given value is an array, regardless of which context it comes from. The context may be another frame. This is the proper idiomatic way to test whether an object is an array and replaces the less generally useful `instanceof` check (which does not work across contexts) and the strangeness that the `typeof` an array is `"object"`.

##### Parameters:

Name | Type | Description
--- | --- | ---
`value` | Any | any value

Source:
  - core/shim/array.js, line 11

##### Returns:

whether the given value is an array

Type
  boolean